Summary: Includes inetd and ping networking programs
Name: netkit-base
Version: 0.10
Release: 5
Copyright: BSD
Group: Networking
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/netkit-base-0.10.tar.gz
Source1: inetd.conf.default
Source2: inet.init
Patch0: netkit-base-0.10-misc.patch
Provides: inetd
Prereq: /sbin/chkconfig

%changelog

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added %config(missingok) to init symlinks

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- turned off in runlevel 2
- added status, restart options to init script

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>

- added chkconfig support

* Wed Aug 27 1997 Erik Troan <ewt@redhat.com>

- fixed init.d symlinks
- fixed permissions on /etc/rc.d/inet

%description
This package provides the ping and inetd programs, which are both used for
basic networking.

%prep
%setup -n netkit-base-0.10
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install
install -o 0 -g 0 -m 644 $RPM_SOURCE_DIR/inetd.conf.default /etc/inetd.conf
install -o 0 -g 0 -m 755 $RPM_SOURCE_DIR/inet.init /etc/rc.d/init.d/inet

ln -fs ../init.d/inet /etc/rc.d/rc0.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc1.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc2.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc3.d/S50inet
ln -fs ../init.d/inet /etc/rc.d/rc5.d/S50inet
ln -fs ../init.d/inet /etc/rc.d/rc6.d/K50inet

%post
/sbin/chkconfig --add inet

%postun 
if [ $1 = 0 ]; then
    /sbin/chkconfig --del inet
fi

%files
/bin/ping
/etc/inetd.conf
%config /etc/rc.d/init.d/inet
%config(missingok) /etc/rc.d/rc0.d/K50inet
%config(missingok) /etc/rc.d/rc1.d/K50inet
%config(missingok) /etc/rc.d/rc2.d/K50inet
%config(missingok) /etc/rc.d/rc3.d/S50inet
%config(missingok) /etc/rc.d/rc5.d/S50inet
%config(missingok) /etc/rc.d/rc6.d/K50inet
/usr/man/man8/inetd.8
/usr/man/man8/ping.8
/usr/sbin/inetd
